body {
    height: 500px;
    border: 1px solid black;
    margin: 20px;
}
.bounce {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: blueviolet;
    position: absolute;
    bottom: -20px;
    left: 30px;
    animation: 5s ease-out 0s infinite bounce;
    animation-name: bounce;
    animation-duration: 5s;
    /* animation-timing-function: cubic-bezier(0.85, 0, 0.15, 1); */
    animation-timing-function: cubic-bezier(0.075, 0.82, 0.165, 1);
}
.shadow {
    width: 50px;
    height: 3px;
    border-radius: 80%;
    opacity: 0.5;
    background-color: rgba(10, 9, 9, 0.322);
    animation: 5s ease-out 0s infinite shadow;
    animation-name: shadow;
    animation-duration: 5s;
    /* animation-timing-function: cubic-bezier(0.85, 0, 0.15, 1); */
    animation-timing-function: cubic-bezier(0.075, 0.82, 0.165, 1);
    position: absolute;
    bottom: -20px;
    left: 30px;
}
@keyframes bounce {
    0% {
        animation-timing-function: ease-out;
        transform: translateY(0), translateX(0);
        /* box-shadow: 0px 20px 30px 0px; */
    }
    12.5% {
        animation-timing-function: ease-out;
        transform: translateY(-400px) translateX(100px);
    }
    25% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(200px);
    }
    37.5% {
        animation-timing-function: ease-out;
        transform: translateY(-250px) translateX(270px);
    }
    50% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(340px);
    }
    62.5% {
        animation-timing-function: ease-out;
        transform: translateY(-150px) translateX(390px);
    }
    75% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(440px);
    }
    87.5% {
        animation-timing-function: ease-out;
        transform: translateY(-70px) translateX(470px);
    }
    100% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(500px);
        
    }
}

@keyframes shadow {
    0% {
        animation-timing-function: ease-out;
        transform: translateY(0), translateX(0);
        /* box-shadow: 0px 20px 30px 0px; */
        opacity: 0.5;
    }
    12.5% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(100px);
        box-shadow: none;
        opacity: 0;
    }
    25% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(200px);
        box-shadow: 0px 20px 30px 0px;
        opacity: 0.5;
    }
    37.5% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(270px);
        box-shadow: none;
        opacity: 0;
    }
    50% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(340px);
        box-shadow: 0px 20px 30px 0px;
        opacity: 0.5;
    }
    62.5% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(390px);
        box-shadow: none;
        opacity: 0;
    }
    75% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(440px);
        box-shadow: 0px 20px 30px 0px;
        opacity: 0.5;
    }
    87.5% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(470px);
        box-shadow: none;
        opacity: 0;
    }
    100% {
        animation-timing-function: ease-out;
        transform: translateY(0) translateX(500px);
        box-shadow: 0px 20px 30px 0px;
        opacity: 0.5;
    }
}
